function suma() {
  let num1 = solicitaNumero("primer");
  let num2 = solicitaNumero("segundo");
  const suma = num1 + num2;
  document.write(`<p>La suma de ${num1} y ${num2} es: ${suma}<p>`);
}

function solicitaNumero(posicion) {
  let numero;
  do {
    numero = parseFloat(prompt(`Introduzca el ${posicion} número`));
    if (isNaN(numero) || numero <= 0) {
      alert("El numero introducido es incorrecto");
    }
  } while (isNaN(numero) || numero <= 0);
  return numero;
}
